#!/bin/bash

set -e

upgrade_from=0.0 # default value means newly install not upgrade
if [ -f /var/lib/tmaxgooroom-update-hook/upgrade ]; then
  upgrade_from=$(cat /var/lib/tmaxgooroom-update-hook/upgrade)
fi

# Execute scripts
for entry in $(ls /usr/libexec/tmaxgooroom-update-hook/seq)
do
  sh /usr/libexec/tmaxgooroom-update-hook/seq/${entry} ${upgrade_from}
done

# Done!
rm -f /var/lib/tmaxgooroom-update-hook/upgrade
systemctl disable tos-post-update.service
